/***************************************************************************/
/* UNOBJ.SQL - Uninstall SQL Server Object Manager Stored Procedures       */
/***************************************************************************/
/* This stored procedure drops all stored procedures and tables            */
/* for the SQL Server Object Manager tool.                                 */
/***************************************************************************/
/* latest revision - 3/16/93                                               */
/* Copyright (C) 1993 - Microsoft Corporation                              */
/***************************************************************************/
print ""
print "un-installing SQL Server Object Manager Scripts"
go

if exists (select * from sysobjects where name = 'sp_MSuser_info' and sysstat & 7 = 4)
begin
  drop procedure sp_MSuser_info
end
go
print ""
go

if exists (select * from sysobjects where name = 'sp_MScheck_OM' and sysstat & 7 = 4)
begin
  drop procedure sp_MScheck_OM
end
print ""
go
go

if exists (select * from sysobjects where name = 'sp_MStable_properties' and sysstat & 7 = 4)
begin
  drop procedure sp_MStable_properties
end
go
print ""
go

if exists (select * from sysobjects where name = 'sp_MScolumn_properties' and sysstat & 7 = 4)
begin
  drop procedure sp_MScolumn_properties
end
go
print ""
go

if exists (select * from sysobjects where name = 'sp_MSobjecttype_name' and sysstat & 7 = 4)
begin
  drop procedure sp_MSobjecttype_name
end
go
print ""
go

if exists (select * from sysobjects where name = 'sp_MSobject_list' and sysstat & 7 = 4)
begin
  drop procedure sp_MSobject_list
end
go
print ""
go

if exists (select * from sysobjects where name = 'sp_MStable_permissions' and sysstat & 7 = 4)
begin
  drop procedure sp_MStable_permissions
end
go
print ""
go

if exists (select * from sysobjects where name = 'sp_MSobject_dependencies' and sysstat & 7 = 4)
begin
  drop procedure sp_MSobject_dependencies
end
go
print ""
go

if exists (select * from sysobjects where name = 'sp_MSOM_version' and sysstat & 7 = 4)
begin
  drop procedure sp_MSOM_version
end
go
print ""
go
